package com.ruoyi.learn.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import org.springframework.data.annotation.Id;

/**
 * 测试学生对象 learn_test_student
 * 
 * @author ruoyi
 * @date 2025-09-18
 */
public class LearnTestStudent extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 批次学生id */
    @Id
    private Long id;

    /** 批次id */
    @Excel(name = "批次id")
    private Integer batchId;

    /** 学生id */
    @Excel(name = "学生id")
    private Long studentId;

    /** 组卷类型 */
    @Excel(name = "组卷类型")
    private String buildType;

    /** 科目ID */
    @Excel(name = "科目ID")
    private Long subjectId;

    /** 定向标识学生可能有多个 */
    @Excel(name = "定向标识学生可能有多个")
    private String directKey;

    /** 批次卷id */
    @Excel(name = "批次卷id")
    private Long paperId;

    /** 学生班级 */
    @Excel(name = "学生班级")
    private Long classId;

    /** 考卷ID */
    @Excel(name = "考卷ID")
    private Long examineeId;

    /** 状态 */
    @Excel(name = "状态")
    private Integer status;

    /** 创建人 */
    @Excel(name = "创建人")
    Long creatorId;

    /** 学校ID */
    @Excel(name = "学校ID")
    Long schoolId;

    /** 校区ID */
    @Excel(name = "校区ID")
    Long campusId;

    /** 计划ID */
    @Excel(name = "计划ID")
    Long planId;

    private Integer count;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }

    public void setBatchId(Integer batchId)
    {
        this.batchId = batchId;
    }

    public Integer getBatchId()
    {
        return batchId;
    }

    public void setStudentId(Long studentId) 
    {
        this.studentId = studentId;
    }

    public Long getStudentId() 
    {
        return studentId;
    }

    public String getBuildType() {
        return buildType;
    }

    public void setBuildType(String buildType) {
        this.buildType = buildType;
    }

    public Long getSubjectId() {
        return subjectId;
    }

    public void setSubjectId(Long subjectId) {
        this.subjectId = subjectId;
    }

    public void setDirectKey(String directKey)
    {
        this.directKey = directKey;
    }

    public String getDirectKey() 
    {
        return directKey;
    }

    public void setPaperId(Long paperId) 
    {
        this.paperId = paperId;
    }

    public Long getPaperId() 
    {
        return paperId;
    }

    public void setClassId(Long classId) 
    {
        this.classId = classId;
    }

    public Long getClassId() 
    {
        return classId;
    }

    public void setExamineeId(Long examineeId) 
    {
        this.examineeId = examineeId;
    }

    public Long getExamineeId() 
    {
        return examineeId;
    }

    public void setStatus(Integer status)
    {
        this.status = status;
    }

    public Integer getStatus()
    {
        return status;
    }

    public Integer getCount() {
        return count;
    }

    public void setCount(Integer count) {
        this.count = count;
    }

    public Long getCreatorId() {
        return creatorId;
    }

    public void setCreatorId(Long creatorId) {
        this.creatorId = creatorId;
    }

    public Long getSchoolId() {
        return schoolId;
    }

    public void setSchoolId(Long schoolId) {
        this.schoolId = schoolId;
    }

    public Long getCampusId() {
        return campusId;
    }

    public void setCampusId(Long campusId) {
        this.campusId = campusId;
    }

    public Long getPlanId() {
        return planId;
    }

    public void setPlanId(Long planId) {
        this.planId = planId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("batchId", getBatchId())
            .append("studentId", getStudentId())
            .append("directKey", getDirectKey())
            .append("paperId", getPaperId())
            .append("classId", getClassId())
            .append("examineeId", getExamineeId())
            .append("status", getStatus())
            .append("createTime", getCreateTime())
            .toString();
    }
}
